<%@ page import="com.agillic.portletsdk.UserEmailStatistics" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.List" %>
<%@ taglib prefix="sdk" uri="http://agillic.com/jsp/sdk/1.0" %>
<%@ taglib prefix="inp" uri="http://agillic.com/jsp/sdkinput/1.0" %>
<sdk:render>
    <%
        Calendar instance = Calendar.getInstance();
        instance.add(Calendar.DAY_OF_YEAR, -10);
        SimpleDateFormat format = new SimpleDateFormat("dd.MM.yyyy");
        List<UserEmailStatistics> userEmailStatisticsList = api.getEmails(null, instance.getTime(), new Date());
        if (userEmailStatisticsList == null || userEmailStatisticsList.isEmpty()) {
    %>
    <p>No emails send within the last ten days</p>
    <%
    } else {
    %>
    <table>
        <thead>
            <tr>
                <th>Email name</th>
                <th>Sent on</th>
                <th>Opened on</th>
            </tr>
        </thead>
        <tbody>
        <%
            for (Iterator<UserEmailStatistics> iterator = userEmailStatisticsList.iterator(); iterator.hasNext();) {
                UserEmailStatistics emailStatistics = iterator.next();
        %>
        <tr>
            <td><%=emailStatistics.getTemplateName()%></td>
            <td><%=emailStatistics.getSentDate() != null ? format.format(emailStatistics.getSentDate()) : ""%></td>
            <td><%=emailStatistics.getOpenedDate() != null ? format.format(emailStatistics.getOpenedDate()) : ""%></td>
        </tr>
        <%
            }
        %>
        </tbody>
    </table>
    <%
        }
    %>
</sdk:render>